# git snapshot from commit af75989ac78eeb86a2abf961e9da5911c4f397da

# comment out when not a git snapshot
#define git	20190821

%define rel	1

Summary:	A simple & lightweight desktop-agnostic Qt file archiver
Name:		lxqt-archiver
Version:	0.8.0
Release:	%mkrel %{?git:0.git%git.}%{rel}
License:	GPLv2
Group:		Graphical desktop/KDE
Url:		https://lxqt-project.org/
Source0:	https://github.com/lxqt/lxqt-archiver/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	cmake(lxqt-build-tools) >= 0.6.0
BuildRequires:	pkgconfig(json-glib-1.0)
BuildRequires:	pkgconfig(libfm-qt)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5X11Extras)

# for handling rpm files (mga#31682)
# https://github.com/lxqt/lxqt-archiver/pull/193
Requires:	bsdtar

%description
This is only a front-end (a graphical interface) to archiving programs
like tar and zip. The supported file types are:

  * 7-Zip Compressed File (.7z)
  * WinAce Compressed File (.ace)
  * ALZip Compressed File (.alz)
  * AIX Small Indexed Archive  (.ar)
  * ARJ Compressed Archive (.arj)
  * Cabinet File (.cab)
  * UNIX CPIO Archive (.cpio)
  * Debian Linux Package (.deb) [Read-only mode]
  * ISO-9660 CD Disc Image (.iso) [Read-only mode]
  * Java Archive (.jar)
  * Java Enterprise archive (.ear)
  * Java Web Archive (.war)
  * LHA Archive (.lzh, .lha)
  * WinRAR Compressed Archive (.rar)
  * RAR Archived Comic Book (.cbr)
  * RPM Linux Package (.rpm) [Read-only mode]
  * Tape Archive File:
    + uncompressed (.tar) or compressed with:
      o gzip (.tar.gz , .tgz)
      o bzip (.tar.bz , .tbz)
      o bzip2 (.tar.bz2 , .tbz2)
      o compress (.tar.Z , .taz)
      o lrzip (.tar.lrz , .tlrz)
      o lzip (.tar.lz , .tlz)
      o lzop (.tar.lzo , .tzo)
      o 7zip (.tar.7z)
      o xz (.tar.xz)
  * Stuffit Archives (.bin, .sit)
  * ZIP Archive (.zip)
  * ZIP Archived Comic Book (.cbz)
  * ZOO Compressed Archive File (.zoo)
  * Single files compressed with gzip, bzip, bzip2, compress, lrzip, lzip,
    lzop, rzip, xz.

%files
%doc AUTHORS LICENSE README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg

#----------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_qt5
%cmake_build

%install
%cmake_install


%changelog
* Sun Apr 16 2023 papoteur <papoteur> 0.8.0-1.mga9
+ Revision: 1953186
- new version 0.8.0

* Thu Mar 16 2023 daviddavid <daviddavid> 0.7.0-3.mga9
+ Revision: 1949193
- add missing dependency on bsdtar for handling rpm files (mga#31682)
  * https://github.com/lxqt/lxqt-archiver/pull/193

* Mon Feb 06 2023 papoteur <papoteur> 0.7.0-2.mga9
+ Revision: 1938823
- rebuild for compilation with C++17 standard

* Sun Nov 06 2022 papoteur <papoteur> 0.7.0-1.mga9
+ Revision: 1904202
- new version 0.7.0

* Mon Apr 25 2022 papoteur <papoteur> 0.6.0-1.mga9
+ Revision: 1853319
- Release 0.6.0

* Fri Jan 28 2022 neoclust <neoclust> 0.4.0-2.mga9
+ Revision: 1770147
- Rebuild against new libfm-qt

* Sat Apr 17 2021 daviddavid <daviddavid> 0.4.0-1.mga9
+ Revision: 1716211
- New version 0.4.0

* Thu Dec 17 2020 umeabot <umeabot> 0.3.0-2.mga8
+ Revision: 1658988
- Rebuild for new Qt5

* Sat Nov 07 2020 daviddavid <daviddavid> 0.3.0-1.mga8
+ Revision: 1643411
- New version 0.3.0
- update Url

* Sat May 23 2020 daviddavid <daviddavid> 0.2.0-1.mga8
+ Revision: 1586923
- new version: 0.2.0

* Sat Apr 25 2020 daviddavid <daviddavid> 0.1.1-1.mga8
+ Revision: 1572048
- New version 0.1.1

* Sat Feb 15 2020 umeabot <umeabot> 0.0.96-3.git20190821.3.mga8
+ Revision: 1528644
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sun Aug 25 2019 daviddavid <daviddavid> 0.0.96-3.git20190821.2.mga8
+ Revision: 1431865
- use upstream fixes to fix build with new Glib2 2.61.2

* Sat Aug 24 2019 daviddavid <daviddavid> 0.0.96-3.git20190821.1.mga8
+ Revision: 1431729
- update to latest git snapshot: 0.0.96-git20190821

* Sun Mar 31 2019 umeabot <umeabot> 0.0.96-2.mga7
+ Revision: 1383246
- Qt5 Rebuild

* Fri Feb 01 2019 daviddavid <daviddavid> 0.0.96-1.mga7
+ Revision: 1362235
- initial package lxqt-archiver

